
var p3d_price_total=0;
var p3d_vat_rate = 1 - (parseFloat(p3d_vat.vat_pct)/100);

function p3dExtraPriceIncl() {
	var price_vat = p3d_price_total * p3d_vat_rate;
	var vat = p3d_price_total - price_vat;
	var price_formatted = accounting.formatMoney(p3d_price_total, p3d.currency_symbol, p3d.price_num_decimals, p3d.thousand_sep, p3d.decimal_sep);
	var price_vat_formatted = accounting.formatMoney(price_vat, p3d.currency_symbol, p3d.price_num_decimals, p3d.thousand_sep, p3d.decimal_sep);
	var vat_formatted = accounting.formatMoney(vat, p3d.currency_symbol, p3d.price_num_decimals, p3d.thousand_sep, p3d.decimal_sep);
	var totals = p3d_vat.text_net_price + ': '+price_vat_formatted+'<br>'+p3d_vat.text_vat+' ('+p3d_vat.vat_pct+'%): '+vat_formatted+'<br>'+p3d_vat.text_gross_price+': '+price_formatted+'<br>';

	jQuery('.p3d-details p.price span.amount').html(totals);
}


jQuery(document).ready(function(){
	if (typeof(window.wp.event_manager)!='undefined') {
		window.wp.event_manager.addFilter( 'p3d.calculatePrintingCost', function  (total, product_info) {
			p3d_price_total=total;
			return total;
		})
		window.wp.event_manager.addAction( '3dprint.showResponse', p3dExtraPriceIncl, 10);
	}
})